# $EPIC: search_forward,v 1.2 2005/03/08 05:53:31 jnelson Exp $
Synopsis:
   window search_forward "[<regex>]"

Description:
   This operation moves the scrollback view forwards (newer) so the top of 
   the window is the next newer line that matches the regex <regex>.  If 
   there are no matches going forwards, it will beep.  If you omit <regex>
   it will re-use the last <regex> you provided to either search_back or 
   search_forward.

   This operation may put you in scrollback view, which means you need to 
   use window(4) scrollback_end to go back to the normal scrolling view.

   You can read the window(4) help file for more information about views.

Example:
   /WINDOW SCROLL_START
   /WINDOW SEARCH_FORWARD "frob$"
   /WINDOW SEARCH_FORWARD 			(to repeat the search)
   /WINDOW SCROLL_END				(when you are done)

See Also:
   window(4) search_back

History:
   This operation first appeared in EPIC4-1.1.8
